Bug 19988 - Change 'sex' to 'gender'
Summary: Change 'sex' to 'gender'
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Zoe Bennett
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2018-01-17 01:30 UTC by Aleisha Amohia
Modified: 2018-01-23 04:18 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19988: Fixing the case where terminolgy referred to sex instead of gender. (1.38 KB, patch)
2018-01-17 03:31 UTC, Zoe Bennett
Details | Diff | Splinter Review
Bug 19988: Fixing the case where terminolgy referred to sex instead of gender. (1.43 KB, patch)
2018-01-17 13:35 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19988: Fixing the case where terminolgy referred to sex instead of gender. (1.52 KB, patch)
2018-01-17 15:28 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 01:30:54 UTC
By Koha terminology guidelines, we should use gender instead of sex. Most cases have been fixed but I found one missed case:

/koha-tmpl/intranet-tmpl/prog/en/modules/members/members-update.pl
- Reproduce by changing gender for a user in OPAC, then viewing the patron modification request in the staff client
Comment 1 Zoe Bennett 2018-01-17 03:31:31 UTC
Created attachment 70595 [details] [review]
Bug 19988: Fixing the case where terminolgy referred to sex instead of gender.

To test:
1) Change a users gender in the OPAC
2) View it in the patron request in the staff client
3) Check that under 'Field' it now says 'Gender' instead of 'Sex'
Comment 2 Owen Leonard 2018-01-17 13:35:23 UTC
Created attachment 70615 [details] [review]
Bug 19988: Fixing the case where terminolgy referred to sex instead of gender.

To test:
1) Change a users gender in the OPAC
2) View it in the patron request in the staff client
3) Check that under 'Field' it now says 'Gender' instead of 'Sex'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2018-01-17 15:28:15 UTC
Created attachment 70622 [details] [review]
Bug 19988: Fixing the case where terminolgy referred to sex instead of gender.

To test:
1) Change a users gender in the OPAC
2) View it in the patron request in the staff client
3) Check that under 'Field' it now says 'Gender' instead of 'Sex'

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2018-01-19 18:55:19 UTC
Patch pushed to master for 18.05.

Congratulations Zoe for your first patch in!
Comment 5 Nick Clemens 2018-01-23 04:18:09 UTC
Awesome work all!

Enhancement, not backported for 17.11.